#
# spec file for package libotf (Version 0.9.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libotf
BuildRequires:  freetype2-devel xorg-x11-devel
Version:        0.9.4
Release:        10.2
License:        LGPL
Group:          System/I18n/Japanese
Autoreqprov:    on
URL:            http://www.m17n.org/libotf/
Source0:        http://www.m17n.org/libotf/libotf-0.9.4.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Library for Handling OpenType Fonts

%description
Library for handling OpenType fonts.



Authors:
--------
    Kenichi Handa <handa@m17n.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Kenichi Handa <handa@m17n.org>

%prep
%setup -q -n %{name}-%{version}

%build
libtoolize --force
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*
%{_libdir}/libotf.so.*

%files devel
%defattr(-, root, root)
/usr/include/*
%{_libdir}/libotf.so
%{_libdir}/libotf.*a

%changelog -n libotf
* Fri Mar 03 2006 - mfabian@suse.de
- Bugzilla #154974: update to 0.9.4.
  We have updated m17n-lib to 1.3.0.20060113. This version can
  only use libotf >= 0.9.4. It won't link against libotf 0.9.3.
  In order not to loose the OpenType support in m17n-lib, we
  should update libotf as well.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 28 2004 - mfabian@suse.de
- update to 0.9.3.
* Mon Aug 16 2004 - mfabian@suse.de
- new package: libotf, version 0.9.2.
